This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 986638 - (ghc-shakespeare-i18n) Review Request: ghc-shakespeare-i18n - Type-based internationalization
Review Request: ghc-shakespeare-i18n - Type-based internationalization
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ricky Elrod
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-yesod-core
  Show dependency treegraph
 
Reported: 2013-07-21 04:02 EDT by Jens Petersen
Modified: 2013-09-09 19:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: ghc-shakespeare-i18n-1.0.0.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 19:54:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
relrod: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-07-21 04:02:40 EDT
Spec URL: http://petersen.fedorapeople.org//ghc-shakespeare-i18n.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-shakespeare-i18n-1.0.0.3-1.fc19.src.rpm

Description:
This package uses a compile-time, type-safe approach to create translated
content. It has a simple syntax for translators, while allowing the full power
of Haskell for applying complex grammar rules.

This package was spun off from yesod-core, and therefore the Yesod
documentation is a good place to start in understanding this package.
Please see <http://www.yesodweb.com/book/shakespearean-templates> for more
information.
Comment 1 Jens Petersen 2013-07-21 04:02:53 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5634022
Comment 2 Ricky Elrod 2013-08-28 01:19:50 EDT
Package is APPROVED. Review follows:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Static libraries in -static subpackage, if present.
  Note: Archive *.a files found in ghc-shakespeare-i18n-devel
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

  (Acceptable for Haskell packages).


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-shakespeare-i18n-1.0.0.3-1.fc21.x86_64.rpm
          ghc-shakespeare-i18n-devel-1.0.0.3-1.fc21.x86_64.rpm
ghc-shakespeare-i18n.x86_64: W: spelling-error %description -l en_US yesod -> ye sod, ye-sod, yessed
ghc-shakespeare-i18n.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-shakespeare-i18n.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
ghc-shakespeare-i18n.x86_64: W: spelling-error %description -l en_US yesodweb -> eyesore
ghc-shakespeare-i18n.x86_64: W: spelling-error %description -l en_US shakespearean -> Shakespearean
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-shakespeare-i18n ghc-shakespeare-i18n-devel
ghc-shakespeare-i18n.x86_64: W: spelling-error %description -l en_US yesod -> ye sod, ye-sod, yessed
ghc-shakespeare-i18n.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-shakespeare-i18n.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
ghc-shakespeare-i18n.x86_64: W: spelling-error %description -l en_US yesodweb -> eyesore
ghc-shakespeare-i18n.x86_64: W: spelling-error %description -l en_US shakespearean -> Shakespearean
2 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-shakespeare-i18n (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(directory-1.2.0.1-91a788fd88acd7f149f0f10f5f1e23f2)
    ghc(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc(shakespeare-1.0.4-1abb230a60cc6873bfe1c63536429c31)
    ghc(template-haskell-2.8.0.0-a3012803fde1dc362e555b35a1a78e6d)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdirectory-1.2.0.1-ghc7.6.3.so()(64bit)
    libHSfilepath-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.6.3.so()(64bit)
    libHSprocess-1.1.0.2-ghc7.6.3.so()(64bit)
    libHSshakespeare-1.0.4-ghc7.6.3.so()(64bit)
    libHStemplate-haskell-2.8.0.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

ghc-shakespeare-i18n-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(shakespeare-i18n-1.0.0.3-d9a111e70d3a3ce085ab80735de46f17)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc-devel(directory-1.2.0.1-91a788fd88acd7f149f0f10f5f1e23f2)
    ghc-devel(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc-devel(shakespeare-1.0.4-1abb230a60cc6873bfe1c63536429c31)
    ghc-devel(template-haskell-2.8.0.0-a3012803fde1dc362e555b35a1a78e6d)
    ghc-devel(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc-shakespeare-i18n(x86-64)



Provides
--------
ghc-shakespeare-i18n:
    ghc(shakespeare-i18n-1.0.0.3-d9a111e70d3a3ce085ab80735de46f17)
    ghc-shakespeare-i18n
    ghc-shakespeare-i18n(x86-64)
    libHSshakespeare-i18n-1.0.0.3-ghc7.6.3.so()(64bit)

ghc-shakespeare-i18n-devel:
    ghc-devel(shakespeare-i18n-1.0.0.3-d9a111e70d3a3ce085ab80735de46f17)
    ghc-shakespeare-i18n-devel
    ghc-shakespeare-i18n-devel(x86-64)



Unversioned so-files
--------------------
ghc-shakespeare-i18n: /usr/lib64/ghc-7.6.3/shakespeare-i18n-1.0.0.3/libHSshakespeare-i18n-1.0.0.3-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/shakespeare-i18n/1.0.0.3/shakespeare-i18n-1.0.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 19804600119ff5b2784d3ff18ec3c8986057ee3ae21eacfb378d30afcc57ad4c
  CHECKSUM(SHA256) upstream package : 19804600119ff5b2784d3ff18ec3c8986057ee3ae21eacfb378d30afcc57ad4c


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 986638
Comment 3 Jens Petersen 2013-08-28 22:09:24 EDT
Thanks for reviewing, Ricky


New Package SCM Request
=======================
Package Name: ghc-shakespeare-i18n
Short Description: Type-based internationalization
Owners: petersen
Branches: f20 f19 f18 el6
InitialCC: haskell-sig
Comment 4 Gwyn Ciesla 2013-08-29 08:01:52 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-08-29 22:26:19 EDT
ghc-shakespeare-i18n-1.0.0.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-shakespeare-i18n-1.0.0.3-1.fc18
Comment 6 Fedora Update System 2013-08-29 22:26:28 EDT
ghc-shakespeare-i18n-1.0.0.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-shakespeare-i18n-1.0.0.3-1.fc19
Comment 7 Fedora Update System 2013-08-30 19:05:08 EDT
ghc-shakespeare-i18n-1.0.0.3-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-09-09 19:54:40 EDT
ghc-shakespeare-i18n-1.0.0.3-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 Fedora Update System 2013-09-09 19:59:04 EDT
ghc-shakespeare-i18n-1.0.0.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.